ここの情報は古いです。ご理解頂いた上でお取り扱いください。

Opened 12 years ago

Closed 12 years ago

Last modified 12 years ago

#1129 closed enhancement (fixed)

個体識別番号を登録しないとSNSを使えなくする

Reported by: tejimaa Owned by: ebihara
Priority: blocker Milestone: OpenPNE2.10beta1
Component: pne-admin Version:
Keywords: Cc:

Description (last modified by ebihara)

■機能概要

■仕様

■関連情報

PCであっても、登録時に携帯の個体識別番号を要求するようにする。

管理画面によるオプション項目として設定できるようにする

Change History (64)

comment:1 Changed 12 years ago by kunitada

Milestone: OpenPNE2.10

業者対策はこれで!

comment:2 Changed 12 years ago by kunitada

既存ユーザをどうするかを考える

comment:3 Changed 12 years ago by ebihara

Owner: changed from nobody to ebihara

國忠さんから振られたので。acceptはまだ

comment:4 Changed 12 years ago by maruyama

Owner: changed from ebihara to maruyama

担当します

comment:5 Changed 12 years ago by maruyama

Status: newassigned

comment:6 Changed 12 years ago by maruyama

流れとしては

・登録する際に携帯のメールアドレスの入力も必須になる

・登録直後に携帯に確認メールが飛ぶ

・メールに記載されたURLから固体ID登録行ったら利用が可能になる

といった流れを考えています。

comment:7 Changed 12 years ago by kunitada

Priority: minorcritical

comment:8 Changed 12 years ago by kunitada

Priority: criticalblocker

comment:9 Changed 12 years ago by siena

運営者は安全に運用できるでしょうか。個人識別性の高い個人情報を必須にできるようにするのは、運営者をミスリードしてしまう危険性があるのでは。余程の覚悟と運用をしない限り使わないように、警告を促すなどするべきかと。手軽には有効にできないような制限を課すなどした方が良かも。

話の出てきた文脈を知らないので的外れなことかもしれませんが。議論へのポインタなどあれば。

comment:10 Changed 12 years ago by siena

あと、ケータイを持っていない人、番号を知られたくない人を排除してしまいますね。

comment:12 Changed 12 years ago by kunitada

Description: modified (diff)
>09/02/07 16:18:39: Modified by siena
「管理画面によるオプション項目として設定できるようにする」
ので、
「個体識別番号を登録を必須として登録の敷居を高くして業者排除などしたいSNS運営者」
だけ設定可能にすれば良いと考えています。

comment:13 Changed 12 years ago by kunitada

Owner: changed from maruyama to ebihara
Status: assignednew

https://trac.openpne.jp/svn/OpenPNE/branches/work/kiwa/doc/20070830_【2.10】個体識別番号登録制画面仕様.ppt

が更新されているので、 細かい文言とかをあわせるタスクをお願いします。

comment:14 Changed 12 years ago by maruyama

Owner: changed from ebihara to maruyama

担当します

comment:15 Changed 12 years ago by maruyama

文言修正行いました。

r3875

comment:16 Changed 12 years ago by kunitada

Owner: changed from maruyama to kiwa

?m=admin&a=page_edit_c_admin_config

の、

携帯固有番号

あたりの画面仕様を作ってください。

comment:17 Changed 12 years ago by kiwa

r3899画面仕様を修正しました

comment:18 Changed 12 years ago by kiwa

下記のようなバグがありました

  • ユーザ登録画面(page_o_regist_prof)
    • adminにて個体識別番号登録を「不要」にしても、携帯メールアドレス入力欄が必須項目として表示される。(必須として表示されているが、入力しなくても登録できた)
  • 登録完了画面(page_o_regist_end)
    • 見出しが仕様どおりになっていない
  • ログイン画面(page_o_login)
    • 個体識別番号は登録されいないが、携帯アドレスは登録されている場合、仕様ではエラー画面に遷移することになっているが、h_regist_ktai_idに遷移する
  • 携帯アドレス登録画面(page_h_regist_ktai_id)
    • 仕様ではログイン前画面になっているが、ログイン後画面として実装されているため、ログイン後ヘッダとh系ナビバーが表示されている。リンクをたどろうとするとh_regist_ktai_idにリダイレクトされる
    • 文言が仕様どおりでない
  • 携帯確認メール送信完了画面(page_o_regist_ktai_end)
    • メール送信後の文言が仕様と違う(でも実装版のほうが丁寧なのでそのままでもいい気がする)
  • 携帯登録確認画面(page_h_regist_ktai_id)
    • <hr>に色設定が入っていない
    • パスワード入力に不備があると、o_login2に飛ぶ
    • 個体識別番号取得に失敗した場合、仕様だとエラーページに飛ぶが、実装だと通常のエラーメッセージが表示される
    • 登録完了時、仕様だと登録確認完了画面に飛ぶことになっているが、実装ではh_homeに遷移する(別にこれでもいい気はする)
  • その他
    • adminにて「個体識別番号を取得しない」設定にした場合、個体識別番号を取得せずに登録を完了してしまう(おそらく取得を任意にしても同じ現象が起きるかと)
    • ハッシュ化された個体識別番号が重複しないため、同じ端末で何人も登録できてしまう。

comment:19 Changed 12 years ago by kunitada

Owner: changed from kiwa to ebihara

バグ修正お願いします。

comment:20 Changed 12 years ago by kunitada

Milestone: OpenPNE2.10OpenPNE2.9.3

comment:21 Changed 12 years ago by ebihara

Status: newassigned

バグ修正やります。

comment:22 Changed 12 years ago by ebihara

Owner: changed from ebihara to kiwa
Status: assignednew

かなり緊急度が高いと思われる以下ふたつのバグが再現できませんでした。

再度確認をお願いします。

  • adminにて「個体識別番号を取得しない」設定にした場合、個体識別番号を取得せずに登録を完了してしまう(おそらく取得を任意にしても同じ現象が起きるかと)
    • PC,携帯の新規登録で両方とも再現しませんでした
    • 再現手順を示してください
    • ちなみに携帯版については、2.8から携帯版の新規登録時に個体識別番号の取得を行っています(登録確認画面はありません)
    • 「おそらく」とは?
  • ハッシュ化された個体識別番号が重複しないため、同じ端末で何人も登録できてしまう。
    • 以下のパターンで調査しましたが、個体識別番号が重複しないということはありませんでした
      • PCのみで登録済で、携帯未登録
      • PCへの新規招待
      • 携帯への新規招待
      • 携帯アドレス登録済みで、携帯個体識別番号未登録
    • スクリプトでも、個体識別番号に対してまた別のユニークな値を付加した上でハッシュ化しているなどということはなく、単純に個体識別番号をmd5でハッシュ化し、DBに入れています
    • 重複チェックも行っています。登録済みの個体識別番号での登録はできません

comment:23 Changed 12 years ago by kunitada

→kiwa

下記3点配慮して、ppt作り直してください。

1) 既存ユーザへの配慮

2) 携帯端末固有IDが取れない端末を持ってるユーザへの配慮
	退会処置
	
3) SNSオーナーへの配慮
	副作用の大きい機能なんですよ


comment:24 Changed 12 years ago by ogawa

ebiharaさんが再現できなかったバグの原因と思われる箇所を r3918 で修正したので再テストをお願いします。

comment:25 Changed 12 years ago by kunitada

Description: modified (diff)

comment:26 Changed 12 years ago by kunitada

画面仕様書更新

主に文言変更です。

2007/09/08: 【E-1】文言変更  SNSを使う際に個体識別番号の取得を必須にするかどうか設定します

2007/09/08: 【D-1】文言変更

https://trac.openpne.jp/svn/OpenPNE/branches/work/kiwa/doc/20070830_【2.10】個体識別番号登録制画面仕様.ppt

comment:27 Changed 12 years ago by ogawa

Milestone: OpenPNE2.9.3OpenPNE2.10

comment:28 Changed 12 years ago by kunitada

Milestone: OpenPNE2.10OpenPNE2.10beta1

comment:29 Changed 12 years ago by ogawa

Owner: changed from kiwa to nobody

comment:30 Changed 12 years ago by kunitada

Description: modified (diff)

comment:31 Changed 12 years ago by kunitada

Description: modified (diff)

comment:32 Changed 12 years ago by ebihara

現状の仕様では、PCから新規登録をしようとすると、携帯の登録を残しているのにもかかわらず、 c_member に情報を登録してしまっています。この状態だとたしかにログインはできませんが、「携帯未登録でログインできないのにもかかわらずデイリーニュースなどが届く」「個体識別番号を登録できない端末しか持っていないユーザが退会せざるをえなくなった場合の救済措置がない」などという問題点が出てきてしまいます。

だからといって c_member への情報を携帯登録時まで待ってしまうと、PCで入力したプロフィール項目(c_member_profileに保存される)が c_member_id がないために保持できない、などという問題が発生してしまいます。

そこで、c_member_profile_pre を作ることで以上の問題に対処します。

comment:33 Changed 12 years ago by kunitada

1) 「既存ユーザ」で「どうしても個体識別番号を登録できない人」用に、 「メルアド&パスワード認証」で退会させるフォームを1ページ追加する。 退会フォームへのリンクを、 1-1)「ktai&o_login」 1-2)【D-3】携帯登録エラー画面( o_regist_ktai_uid_err ) につける。

2) 【D-3】携帯登録エラー画面( o_regist_ktai_uid_err ) でmailtoで管理者に連絡する方法を考えたが、 ez,softbankでmailtoにデフォルトでbodyを仕込めない。 なのでメールアドレスを入力してもらうフォームを用意して、 submitすると↓のような内容のメールが管理者に飛ぶようにする

■メール文言詳細 TO:ADMIN_EMAIL Subject: 個体識別番号取得不能報告[2007. 9 . 14] Body: 【メールアドレス】メールアドレスをお書きください。 【内容】個体識別番号取得不能報告 【SNS名】EXAMPLESNS 【SNS URL】http://example.com/ 【報告日時】2007/09/14 22:23:33 <<

comment:34 Changed 12 years ago by kunitada

1) 
「既存ユーザ」で「どうしても個体識別番号を登録できない人」用に、
「メルアド&パスワード認証」で退会させるフォームを1ページ追加する。
退会フォームへのリンクを、 
1-1)「ktai&o_login」
1-2)【D-3】携帯登録エラー画面( o_regist_ktai_uid_err )
につける。

2)
【D-3】携帯登録エラー画面( o_regist_ktai_uid_err )でmailtoで管理者に連絡する方法を考えたが、
ez,softbankでmailtoにデフォルトでbodyを仕込めない。なのでメールアドレスを入力してもらうフォームを用意して、
submitすると
↓のような内容のメールが管理者に飛ぶようにする

>>
■メール文言詳細
TO:ADMIN_EMAIL
Subject:
個体識別番号取得不能報告[2007. 9 . 14]
Body:
【メールアドレス】メールアドレスをお書きください。
【内容】個体識別番号取得不能報告
【SNS名】EXAMPLESNS
【SNS URL】http://example.com/
【報告日時】2007/09/14 22:23:33
<<

comment:35 Changed 12 years ago by imoto

仕様書を更新 「退会フォーム」と「固体識別番号が認識できない人が管理者にメッセージを送るフォーム」を追加しました。

https://trac.openpne.jp/svn/OpenPNE/branches/work/kiwa/doc/20070830_【2.10】個体識別番号登録制画面仕様.ppt

comment:36 Changed 12 years ago by kunitada

1)
【D-5】退会確認画面( )
は、
o_withdrawal 
↓
o_taikai
にしましょう。

2)
o_regist_ktai_uid_notice 
は、
o_regist_ktai_uid_inquiry
にしましょう


3)
o_taikai
o_regist_ktai_uid_inquiry
ともに確認画面と完了画面のの仕様も追加しましょう。

アクション名は、

o_taikai_confirm
o_regist_ktai_uid_inquiry_confirm

o_taikai_end
o_regist_ktai_uid_inquiry_end

で、

endおわったら、
o_loginに戻りましょう。

comment:37 Changed 12 years ago by imoto

仕様書を更新しました。

・o_taikai、o_regist_ktai_uid_inquiryへのアクション名変更 ・確認画面の追加 o_taikai_confirm o_regist_ktai_uid_inquiry_confirm

・完了画面の追加 o_taikai_end o_regist_ktai_uid_inquiry_end

https://trac.openpne.jp/svn/OpenPNE_specification/trunk/2.10/20070914_【2.10】個体識別番号登録制画面仕様.ppt

comment:39 Changed 12 years ago by ebihara

Owner: changed from nobody to ebihara
Status: newassigned

着手しています。

comment:40 Changed 12 years ago by ebihara

Owner: changed from ebihara to ogawa
Status: assignednew

r4030で、ブランチにコミットしました。

comment:41 Changed 12 years ago by kunitada

2.10では見送るので、機能削除してください。

comment:42 Changed 12 years ago by kunitada

Milestone: OpenPNE2.10beta1OpenPNE2.12

comment:43 Changed 12 years ago by kiwa

r4165 仕様を変更しました

  • 新規登録時、個体識別番号登録を必須にする
  • 既存のメンバーに対しては個体必須制にしない
  • adminからのメンバー招待なら個体識別番号必須でなく招待時に選択できるようにする
  • 個体識別番号登録を必須にした場合、簡単ログイン削除・携帯メールアドレス削除が機能しなくなる

comment:44 Changed 12 years ago by kiwa

r4168 通常フローについてを触れていなかったので、画面仕様書を修正しました。
今回の修正でPNEジェイルには対応しない仕様に変更してあります。

comment:45 Changed 12 years ago by kiwa

r4169 仕様書のディレクトリを変更しました

comment:46 Changed 12 years ago by ebihara

Owner: changed from ogawa to ebihara
Status: newassigned

r4188で仕様書更新しました。実装に取りかかります

comment:47 Changed 12 years ago by ebihara

Keywords: 確認中 added
Owner: changed from ebihara to ogawa
Status: assignednew

r4214で実装しました。ご確認ください。

comment:48 Changed 12 years ago by ogawa

Milestone: OpenPNE2.12OpenPNE2.10beta1

comment:49 Changed 12 years ago by ogawa

Keywords: 確認中 removed
Owner: changed from ogawa to ebihara

do_o_regist_ktai 修正してください。

comment:50 Changed 12 years ago by ebihara

Status: newassigned

やります。

comment:51 Changed 12 years ago by ebihara

r4235でとりあえず修正しました。不要なリクエスト変数の除去等はこれから取りかかります。

comment:52 Changed 12 years ago by ebihara

Keywords: 確認中 added
Owner: changed from ebihara to ogawa
Status: assignednew

r4236で不要なリクエスト変数、処理等の削除をおこないました。

ご確認ください。

comment:53 Changed 12 years ago by ogawa

Keywords: 確認中 removed
Owner: changed from ogawa to ebihara

コード上で気がついた点を挙げておきます。

  • db_member_c_member_pre4session() は、db_member_c_member_pre4ktai_session() とすべき
  • o_regist_ktai.tpl から id/pre_id が削除されていない
  • page_o_regist_ktai_endで使われていないsesが渡されている
  • ktai_do_o_regist_ktaiでパスワードエラーの遷移先がo_login2になっているのは間違いでは
  • $pre = array(); の初期化は不要では?(2か所)
  • 管理画面SNS設定で設定できる「アフィリエイト用タグ」に対応していない
  • db_member_update_c_member_pre_secure() を2度呼んでいるのが冗長な感じがする
  • 既存コードにも問題あったと思うが、メールアドレスの重複チェックはDB登録時にもおこなうべき
  • pc_do_o_regist_ktai_address の携帯アドレスチェックの順番が違うと思う(is_mail_address→is_ktai_mail_address→is_sns_joinとすべき)
  • やはり、pc_do_o_regist_profとktai_do_o_regist_ktaiの共通化をしたい

その他テストで見つかったバグはチケット上がっているので合わせて対応してください。#1358, #1360, #1363, #1364, #1365, #1366 など

comment:54 Changed 12 years ago by ebihara

Status: newassigned

以下については、 r4240 で対応を行いました

# db_member_c_member_pre4session() は、db_member_c_member_pre4ktai_session() とすべき
# o_regist_ktai.tpl から id/pre_id が削除されていない
# page_o_regist_ktai_endで使われていないsesが渡されている
# $pre = array(); の初期化は不要では?(2か所)

以下については、 #1363 で対処を行いました。

# ktai_do_o_regist_ktaiでパスワードエラーの遷移先がo_login2になっているのは間違いでは

以下についてですが、ちょっと「アフィリエイト用タグ」の仕様を確認する必要があるため、いったん保留にしています(オープン制で get@~ から招待を受けた場合のみ付加される?)。

管理画面SNS設定で設定できる「アフィリエイト用タグ」に対応していない

以下については登録処理の共通化で対処かなぁ。もうちょっとちゃんと練りたい感じです。

# db_member_update_c_member_pre_secure() を2度呼んでいるのが冗長な感じがする
# 既存コードにも問題あったと思うが、メールアドレスの重複チェックはDB登録時にもおこなうべき
# pc_do_o_regist_ktai_address の携帯アドレスチェックの順番が違うと思う(is_mail_address→is_ktai_mail_address→is_sns_joinとすべき)
# やはり、pc_do_o_regist_profとktai_do_o_regist_ktaiの共通化をしたい 

comment:55 Changed 12 years ago by ebihara

r4253でアフィリエイト用タグについて対応しました。

comment:56 Changed 12 years ago by ogawa

Status: assignednew

アフィリエイト用タグについて、ktai_page_o_regist_ktai_end には携帯用タグ挿入せずに、pc_page_o_regist_ktai_address_end にPC用のタグを挿入する仕様にしましょう。

comment:57 Changed 12 years ago by ebihara

ogawaさんから指摘を受けた問題のいくつかを別のチケットにまとめました。

comment:58 Changed 12 years ago by ebihara

Status: newassigned

アフィリエイトタグについて対応します。

comment:59 Changed 12 years ago by ebihara

アフィリエイト用タグについてをr4266で修正しました。

comment:60 Changed 12 years ago by ebihara

Keywords: 確認中 added
Owner: changed from ebihara to ogawa
Status: assignednew

ご確認お願いします。

comment:61 Changed 12 years ago by ogawa

Keywords: 確認中 removed
Owner: changed from ogawa to ebihara

comment:62 Changed 12 years ago by ogawa

Resolution: fixed
Status: newclosed

comment:63 Changed 12 years ago by ebihara

Description: modified (diff)

comment:64 Changed 12 years ago by ebihara

Description: modified (diff)
Note: See TracTickets for help on using tickets.